tigase.jaxmpp.gwt.client

## Class JsonSerializationHelper

- java.lang.Object
- - tigase.jaxmpp.gwt.client.JsonSerializationHelper

-     public class JsonSerializationHelper
      extends Object

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `JsonSerializationHelper.Serializable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonSerializationHelper(SessionObject sessionObject, JsonSerializationHelper.Serializable[] serializers)`
    `JsonSerializationHelper(SessionObject sessionObject, Map<String,AbstractSessionObject.Entry> properties)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addToArray(com.google.gwt.core.client.JavaScriptObject jsArr, com.google.gwt.core.client.JavaScriptObject val)`
    `Object` | `fromJSON(com.google.gwt.core.client.JavaScriptObject obj)`
    `static com.google.gwt.core.client.JsArrayString` | `getKeysFromObject(com.google.gwt.core.client.JavaScriptObject obj)`
    `static com.google.gwt.core.client.JavaScriptObject` | `getObjectFromObject(com.google.gwt.core.client.JavaScriptObject obj, String key)`
    `SessionObject` | `getSessionObject()`
    `static String` | `getStringFromObject(com.google.gwt.core.client.JavaScriptObject obj, String key)`
    `static void` | `putToObject(com.google.gwt.core.client.JavaScriptObject jsMap, String key, com.google.gwt.core.client.JavaScriptObject val)`
    `static void` | `putToObject(com.google.gwt.core.client.JavaScriptObject jsMap, String key, String val)`
    `static com.google.gwt.core.client.JavaScriptObject` | `toJSON(Object val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonSerializationHelper

          public JsonSerializationHelper(SessionObject sessionObject,
                                         Map<String,AbstractSessionObject.Entry> properties)

    - #### JsonSerializationHelper

          public JsonSerializationHelper(SessionObject sessionObject,
                                         JsonSerializationHelper.Serializable[] serializers)

  - ### Method Detail

    - #### addToArray

          public static void addToArray(com.google.gwt.core.client.JavaScriptObject jsArr,
                                        com.google.gwt.core.client.JavaScriptObject val)

    - #### getKeysFromObject

          public static com.google.gwt.core.client.JsArrayString getKeysFromObject(com.google.gwt.core.client.JavaScriptObject obj)

    - #### getObjectFromObject

          public static com.google.gwt.core.client.JavaScriptObject getObjectFromObject(com.google.gwt.core.client.JavaScriptObject obj,
                                                                                        String key)

    - #### getStringFromObject

          public static String getStringFromObject(com.google.gwt.core.client.JavaScriptObject obj,
                                                   String key)

    - #### putToObject

          public static void putToObject(com.google.gwt.core.client.JavaScriptObject jsMap,
                                         String key,
                                         String val)

    - #### putToObject

          public static void putToObject(com.google.gwt.core.client.JavaScriptObject jsMap,
                                         String key,
                                         com.google.gwt.core.client.JavaScriptObject val)

    - #### toJSON

          public static com.google.gwt.core.client.JavaScriptObject toJSON(Object val)
                                                                    throws XMLException

      Throws:
        `XMLException`

    - #### fromJSON

          public Object fromJSON(com.google.gwt.core.client.JavaScriptObject obj)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getSessionObject

          public SessionObject getSessionObject()

Copyright © 2006–2019 Tigase. All rights reserved.